For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
      • GETGet a list of all users
      • POSTCreate a user
      • GETGet a user by id
      • PATCHPatch a user password or username
      • GETGet all account memberships for a user
      • POSTAdd an account membership for a user
      • PATCHPatch an account membership
      • GETGet all the team memberships of a user
      • POSTGive a user membership to a team, granting access to all the accounts the team has access to
      • GETSearch for a user, using provided filters
      • POSTRevoke a user invite by username
      • POSTInvite a user
  • Transaction API
  • Event API
LoginSandbox
Identity APIUsers

Search for a user, using provided filters

GET
/v:version/users/search
GET
/v:version/users/search
$curl https://test.api.solvimon.com/v1/users/search \
> -H "X-API-KEY: <apiKey>"
1[
2 {
3 "object_type": "string",
4 "id": "string",
5 "entity_id": "string",
6 "created_at": "string",
7 "status": "INVITED",
8 "username": "string",
9 "password": "string",
10 "invite_expired": true,
11 "active": true,
12 "account_memberships": [
13 {
14 "object_type": "string",
15 "id": "string",
16 "account_id": "string",
17 "account": {
18 "id": "string",
19 "reference": "string",
20 "account_type_code": "string",
21 "environment": "string",
22 "account_group_id": "string",
23 "parent_id": "string",
24 "platform_id": "string"
25 },
26 "type": "ADMIN",
27 "role_ids": [
28 "string"
29 ],
30 "account_reference": "string",
31 "environment": "string",
32 "roles": [
33 {
34 "object_type": "string",
35 "id": "string",
36 "name": "string",
37 "description": "string",
38 "entity_id": "string",
39 "child_role_ids": [
40 "string"
41 ],
42 "child_roles": [
43 {}
44 ]
45 }
46 ]
47 }
48 ],
49 "team_memberships": [
50 {
51 "team_id": "string",
52 "start_at": "2024-01-15T09:30:00Z",
53 "end_at": "2024-01-15T09:30:00Z",
54 "account_memberships": [
55 {
56 "object_type": "string",
57 "id": "string",
58 "account_id": "string",
59 "account": {
60 "id": "string",
61 "reference": "string",
62 "account_type_code": "string",
63 "environment": "string",
64 "account_group_id": "string",
65 "parent_id": "string",
66 "platform_id": "string"
67 },
68 "type": "ADMIN",
69 "role_ids": [
70 "string"
71 ],
72 "account_reference": "string",
73 "environment": "string",
74 "roles": [
75 {
76 "object_type": "string",
77 "id": "string",
78 "name": "string",
79 "description": "string",
80 "entity_id": "string",
81 "child_role_ids": [
82 "string"
83 ],
84 "child_roles": [
85 {}
86 ]
87 }
88 ]
89 }
90 ]
91 }
92 ]
93 }
94]
Requires the USER.MORTAL.VIEW permission.
Was this page helpful?
Previous

Revoke a user invite by username

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.
resource_idstringOptional
Resource Id of the user.

Query parameters

usernamestringOptional
Filter based on username
user_typestringOptional
Filter based on user type

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
The id of the user
entity_idstring or nullRead-only
The entity id of the entity that this user belongs to
created_atstring or nullRead-only
The date when this user was created
statusenum or null
Indicates whether the user is active
Allowed values:
usernamestringformat: "(\S*@\S*\..*)"0-256 characters
The email of the user
passwordstring or null
The password of the user. Should have a minimum of 8 characters, of which one is a number and one is a capital letter
invite_expiredboolean or nullRead-only
Indicates whether the invite sent to the user is expired
activeboolean or nullDeprecated
Indicates whether the user is active
account_membershipslist of objects or nullRead-onlyDeprecated
The account memberships that this user has
team_membershipslist of objects or nullRead-onlyDeprecated
The team memberships that this user has

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error